Subject: bug#58839: [Patch] Re: bug#58839: 29.0.50; project-kill-buffer fails when Eglot is running

From: Eli Zaretskii <[email-masked]>
Date: Sun, 30 Oct 2022 18:39:46 +0200

> Date: Sun, 30 Oct 2022 17:58:18 +0200
> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 30.10.2022 08:28, Eli Zaretskii wrote:
> >> Those are relatively safe.  Then have a buffer-local variable for
> >> packages to opt into -- not opt out of -- your scheme.
> > I believe I made a similar argument with Dmitry back when project.el
> > was added to Emacs.  Dmitry didn't like my suggestion back then, and I
> > have doubts that he changed his mind.
> 
> Do you have a link to that message? Details matter.

Not anymore, sorry.  It doesn't really matter, if you are now okay
with making buffers that don't visit files by default not belong to a
project, regardless of their default-directory.